IcedTea-Web NetX

## net.sourceforge.jnlp.security
Class SecurityDialogMessageHandler

    java.lang.Object
      net.sourceforge.jnlp.security.SecurityDialogMessageHandler

All Implemented Interfaces:
  java.lang.Runnable

    public final class SecurityDialogMessageHandler

extends java.lang.Object
implements java.lang.Runnable

Handles `SecurityDialogMessage`s and shows appropriate security dialogs.

In the current architecture, `SecurityDialog`s are shown from a different `AppContext` than the `AppContext` that asks for a security prompt. This ensures that all security prompts are isolated and their Look and Feel is not affected by the Look and Feel of the applet/application.

This class contains allows a client application to post a `SecurityDialogMessage`. When this class finds a security message in the queue, it shows a security warning to the user, and sets `SecurityDialogMessage.userResponse` to the appropriate value.

Constructor Summary
`SecurityDialogMessageHandler()`

Method Summary
`void` `postMessage(net.sourceforge.jnlp.security.SecurityDialogMessage message)` Post a message to the security event queue.
`void` `run()` Runs the message handler loop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityDialogMessageHandler

    public SecurityDialogMessageHandler()

Method Detail

### run

    public void run()

  Runs the message handler loop. This waits for incoming security messages and shows a security dialog.

  Specified by:
    `run` in interface `java.lang.Runnable`

### postMessage

    public void postMessage(net.sourceforge.jnlp.security.SecurityDialogMessage message)

  Post a message to the security event queue. This message will be picked up by the security thread and used to show the appropriate security dialog.

  Once the user has made a choice the `SecurityDialogMessage.toDispose` (if not null) is disposed and `SecurityDialogMessage.lock` (in not null) is released.

  Parameters:
    `message` - indicates the type of security dialog to show

IcedTea-Web NetX

Submit a bug or feature